%define _name rep-gtk

Name: rep-gtk2
Version: 0.17
Release: alt1

%define librep_execdir %(rep-config --execdir)

Summary: GTK2+ binding for librep Lisp environment
License: GPL
Group: Development/GNOME and GTK+
Url: http://rep-gtk.sourceforge.net/

Source: %_name-%version.tar.bz2

%define glib2_ver 2.0.6
%define pango_ver 1.1.3
%define gtk2_ver 2.1.2
%define GConf2_ver 1.2.1-alt6
%define gnome_vfs2_ver 2.1.3
%define glade_ver 2.0.1-alt2
%define libgnomeui_ver 2.1.2
%define libgnome_ver 2.1.1
%define librep_ver 0.16.1

PreReq: librep >= %librep_ver

BuildPreReq: librep-devel >= %librep_ver
BuildPreReq: glib2-devel >= %glib2_ver 
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libgtk+2-devel >= %gtk2_ver 
BuildPreReq: libGConf2-devel >= %GConf2_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs2_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver

# Automatically added by buildreq on Sun Nov 17 2002
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound-devel fontconfig freetype2-devel glib2-devel gnome-vfs2-devel libGConf2-devel libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgmp libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel librep-devel libxml2-devel pkgconfig zlib-devel

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based on
Marius Vollmer's guile-gtk package (initially version 0.15, updated to 0.17),
with a new glue-code generator.

%package libglade
Summary: Librep binding for the libglade library for loading user interfaces
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description libglade
This is a binding of libglade for the librep Lisp interpreter.  libglade allows
applications to dynamically load XML descriptions of GTK+ widget hierarchies.
These hierarchies may be created by the GLADE GUI builder.

%package gnome
Summary: GNOME binding for librep
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the GNOME user
interface widgets, and the GNOME Canvas architecture, and the GNOME version
of libglade.

%prep
%setup -q -n %_name-%version

%build
%configure --with-libglade \
	    --with-gnome
%make_build

%install
%makeinstall installdir=%buildroot%librep_execdir

find examples -type f -print0 | xargs -r0 chmod -x --

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%dir %librep_execdir/gui/gtk-2
%librep_execdir/gui/gtk-2/gtk.*
%librep_execdir/gui/gtk-2/types.*
%doc README README.guile-gtk ChangeLog gtk.defs gdk.defs BUGS

%files libglade
%librep_execdir/gui/gtk-2/libglade.*
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade

%files gnome
%librep_execdir/gui/gtk-2/gnome-*
%doc gnome*.defs examples/gnome-test examples/canvas-test gdk-pixbuf.defs

%changelog
* Sun Nov 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.17-alt1
- 0.17

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt2
- rebuild with new pango, gtk+

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt1
- First build for Sisyphus. 
